package com.fjhx.jxst.entity.sales.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 销售合同
 * </p>
 *
 * @author 
 * @since 2023-05-16
 */
@Getter
@Setter
@TableName("sales_contract")
public class SalesContract extends BasePo {

    /**
     * 客户id
     */
    private Long customerId;

    /**
     * 交货日期
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    private Date deliveryDate;

    /**
     * 付款方式 租户字典
     */
    private String payMethod;

    /**
     * 运费支付方 甲方/乙方
     */
    private String freightPayer;

    /**
     * 备注
     */
    private String remark;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程key
     */
    private String flowKey;

    /**
     * 合同金额
     */
    private BigDecimal contractAmount;

    /**
     * 合同编号
     */
    private String code;

    /**
     * 交货期限说明
     */
    private String deliveryDateRemark;

    /**
     * 付款方式说明
     */
    private String payMethodRemark;


    //卖方信息
    /**
     * 卖方公司ID（多公司）
     */
    private Long sellCorporationId;
    /**
     * 卖方国家表id
     */
    private Long sellCountryId;
    /**
     * 卖方省份id
     */
    private Long sellProvinceId;
    /**
     * 卖方城市id
     */
    private Long sellCityId;
    /**
     * 卖方详细地址
     */
    private String sellAddress;

    /**
     * 收款账号ID(卖方资金账户)
     */
    private Long shroffAccountId;

    //买方信息
    /**
     * 买方国家表id
     */
    private Long buyCountryId;
    /**
     * 买方省份id
     */
    private Long buyProvinceId;
    /**
     * 买方城市id
     */
    private Long buyCityId;
    /**
     * 买方详细地址
     */
    private String buyAddress;

}
